
Infrastructure - Task #2359

Story # 2045 (Closed): Get the DataONE CLI ready for public release

"set algorithm" with an invalid algorithm designator crashes the CLI

2012-02-22 02:17 - Roger Dahl

Status: Closed Start date: 2012-02-22

Priority: Normal Due date:  

Assignee: Andrew Pippin % Done: 100%

Category: d1_client_cli Estimated time: 0.00 hour

Target version: Sprint-2012.11-Block.2.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

set algorithm qwer

Traceback (most recent call last):

File "./dataone.py", line 1034, in

main()

File "./dataone.py", line 1030, in main

cli.cmdloop()

File "/usr/lib/python2.6/cmd.py", line 143, in cmdloop

stop = self.postcmd(stop, line)

File "./dataone.py", line 970, in postcmd

self.d1._set_invalid_checksum_to_default()

File "./dataone.py", line 200, in _set_invalid_checksum_to_default

d1_common.util.get_checksum_calculator_by_dataone_designator(algorithm)

File "/home/dahl/eclipse_d1/d1_common_python/src/d1_common/util.py", line 46, in

get_checksum_calculator_by_dataone_designator

return dataone_to_python_checksum_algorithm_mapdataone_algorithm_name

KeyError: 'qwer'                                                                                                                                                                                  

History

#1 - 2012-03-06 00:24 - Andrew Pippin

- Assignee changed from Roger Dahl to Andrew Pippin

Roger, I'll close this one up.

#2 - 2012-03-06 00:42 - Andrew Pippin

Closed (SVN 7383).
#3 - 2012-03-06 00:42 - Andrew Pippin

- Status changed from New to Closed

- % Done changed from 0 to 100
